<?php
/**
* This file is part of the Easy-CMS project.
* Easy-CMS is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* Easy-CMS is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Easy-CMS; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

include_once('config.inc.php');

/**
* Allows links operations and outputs.
*
* @access   private
* @author	Cedric Francoys <cedric.francoys@easy-cms.org>
* @version	Link.class, Sun Nov 28 13:29:22 CET 2004
* @package	Types
*/
class Link {

  var $value;

  function Link($value) {
    $this->setValue($value);
  }

  function getType() {
    return EASY_CMS_TYPE_LINK;
  }

  function setValue($value) {
    $this->value = $value;
  }

  function &getValue() {
    return $this->value;
  }

	function compareTo(&$linkObj){
		return strcmp($this->getValue(), $linkObj->getValue());
	}

  function toString() {
    return $this->getValue();
  }

  function toXML() {
    return "<![CDATA[".$this->getValue()."]]>";
  }

  function toSQL() {
    return $this->getValue();
  }
}
?>